%NALEZENÍ STIMULAČNÍCH IMPULSŮ 
pom=diff(detekce);      %diference detekovaných impulsů
impuls=zeros(1,7);      %vektor pro zapsání pozic stimulačních impulsů
impuls(1)=detekce(2);   %impuls je proměnná pro zapsání vektoru poloh nalezených impulsů
                        %hned 2. impuls je stimulační
j=2;                    %inicializace iterační proměné
for i=2:length(pom)-1                           %procházení diferencí
    if pom(i)+pom(i+1)<5100 && pom(i-1)>4900;   %pravidla pro nalezení stimulačních impulsů v rámci signálu
        impuls(j)=detekce(i+1);                 %zapsání polohy stimulačního impulsu
        j=j+1;                                  %posun na další pozici vektoru detekce
    end
end